Name:		orsa
Version:	0.7.0
Release:	1%{?dist}
Summary:	Orbit Reconstruction, Simulation and Analysis

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://orsa.sourceforge.net/index.html
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf, automake, libtool
BuildRequires:	readline-devel, qt3-devel, openmpi-devel, fftw2-devel
BuildRequires:	gsl-devel, cln-devel, ginac-devel

Patch0:		orsa-0.7.0-cln_config.patch
Patch1:		orsa-0.7.0-ginac_config.patch
Patch2:		orsa-0.7.0-fix.patch

%description
ORSA is an interactive tool for scientific grade Celestial Mechanics
computations. Asteroids, comets, artificial satellites, Solar and
extra-Solar planetary systems can be accurately reproduced, simulated,
and analyzed.


%prep
%setup -q
%patch0 -p1 -b .cln_config
%patch1 -p1 -b .ginac_config
%patch2 -p1 -b .fix


%build
./autogen.sh
%configure --disable-static --with-mpi
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.h' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT THANKS TODO
%{_bindir}/*
%{_libdir}/*



%changelog
* Sun Sep 07 2008 Martin Nagy <mnagy@redhat.com> 0.7.0-1
- initial packaging
